Bug 887408 - request for upgrade to version 1.9.9
Summary: request for upgrade to version 1.9.9
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: jack-audio-connection-kit
Version: 17
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-14 23:30 UTC by Fernando Lopez-Lezcano
Modified: 2013-01-14 04:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-14 04:02:40 UTC


Attachments (Terms of Use)
Port name infrastructure patch (17.36 KB, patch)
2012-12-27 19:49 UTC, Fernando Lopez-Lezcano
no flags Details | Diff

Description Fernando Lopez-Lezcano 2012-12-14 23:30:07 UTC
Description of problem:
This is a request for upgrade to the latest version of jack (1.9.9), released on 12/10/2012. This upgrade should be made for all supported versions of Fedora. 

Version-Release number of selected component (if applicable):
1.9.8-x

How reproducible:
Not a bug report. 

Additional info:

This release fixes _many_ issues, from the release notes:

Jack 1.9.9 is API compatible with latest Jack 0.121.3 version.

What is new:

- Adrian Knoth fix in midiseq.c.
- Fix library symbols export issue.
- Cleanup drivers and internals loading code.
- jackctl_driver_params_parse API moved in public control.h.
- More general drivers/internals loading model on Windows.
- Factorize code the server/client request in JackRequestDecoder class.
- More robust server/client protocol. Implement shutdown for in server clients.
- Better time-out management in NetJack2.
- Experimental system port alias use in Windows JackRouter.
- Improve ShutDown in NetManager.
- Correct ShutDown in JackInternalClient and JackLibClient.
- Fix NetJack2 initialisation bug. Add EndTime function (especially for Windows).
- Rename JackProcessSync in JackPosixProcessSync.
- A bit more robust JackMessageBuffer implementation.
- Check server API callback from notification thread.
- Use a time-out in notification channel write function.
- Fix lock management in JackEngine.
- In control API, UNIX like sigset_t replaced by more abstract jackctl_sigmask_t * opaque struct.
- Improve libjacknet master mode.
- Remove JACK_32_64 flag, so POST_PACKED_STRUCTURE now always used. POST_PACKED_STRUCTURE used for jack_latency_range_t type.
- Rework JackMessageBuffer.
- [firewire] Introduce UpdateLatencies() in FFADO backend.
- [firewire] Allow FFADO backend to change the buffer size.
- Update waf.
- New jack_get_cycle_times() implementation from Fons Adriennsen.
- Align buffers to 32 byte boundaries to allow AVX processing.
- Extend jack_control to have parameter reset commands.
- Fix alsa driver parameter order.
- Control API: Enforce driver/internal parameter order.
- Fix in ALSA adapter.
- Devin Anderson patch for Jack/CoreMIDI duplicated messages.
- Change framework installation hierarchy for OSX Mountain Lion.
- Update JackCoreAudioDriver and JackCoreAudioAdapter with more recent API.
- jack_control: fix epr command.
- Add opus support to NetJack2.
- More robust channel mapping handling in JackCoreAudioDriver.
- netjack1/netone opus support. controlapi: fix double free on master switch.
- Use string ids in the alsa device list. netjack/opus: don't re-init en/decoders.
- Correct JackPortAudioDriver::Open : special case for ASIO drivers.

Comment 1 Orcan Ogetbil 2012-12-15 01:00:50 UTC
Hi Fernando, thanks for filing the bug. 

I am working on it. There are some build issues. Plus, I have to port some of our patches. Hopefully this weekend...

Comment 2 Fernando Lopez-Lezcano 2012-12-15 18:54:15 UTC
(In reply to comment #1)
> I am working on it. There are some build issues. Plus, I have to port some
> of our patches. Hopefully this weekend...

Let me know if you want me to rework any patches. I do have the infrastructure patch which we never re-added to jack (the one that lets you reorder the ports), I'll rework that one and post it here, I have to make a special jack package anyway for some of our studios with that one in.

Comment 3 Orcan Ogetbil 2012-12-16 03:52:50 UTC
Sure, here is my working copy. This has all the existing patches ported and is working fine here on my box.
   http://oget.fedorapeople.org/jack/jack-audio-connection-kit-1.9.9.5-0.fc19.src.rpm

You can use it as a starting point. So we can include your patch(es) in the next build.

Comment 4 Orcan Ogetbil 2012-12-26 04:48:34 UTC
Hi Fernando,
I was wondering, should I submit this update now? I think we can include your patch in a subsequent build. Let me know if you have any concerns.

Brendan, any thoughts, objections?

Happy holidays!

Comment 5 Fernando Lopez-Lezcano 2012-12-27 19:49:53 UTC
Created attachment 669688 [details]
Port name infrastructure patch

This patch adds the option of renaming or reordering the jack ports. It is useful to, for example, set the digital i/o ports of an RME Multiface to be ports 1-8 instead ot 9-16 (thus matching an RME Digiface).

Comment 6 Fernando Lopez-Lezcano 2012-12-27 19:51:17 UTC
(In reply to comment #4)
> Hi Fernando,
> I was wondering, should I submit this update now? I think we can include
> your patch in a subsequent build. Let me know if you have any concerns.

Yes, please submit whenever you want. And thanks!

I just added the infrastructure patch tweaked to patch cleanly (fuzz=0) on top of 1.9.9.5. Builds fine in my build server but I won't have a chance to actually test it at CCRMA till next week.

Comment 7 Fedora Update System 2012-12-28 04:35:04 UTC
jack-audio-connection-kit-1.9.9.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jack-audio-connection-kit-1.9.9.5-1.fc18

Comment 8 Fedora Update System 2012-12-28 04:56:13 UTC
jack-audio-connection-kit-1.9.9.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jack-audio-connection-kit-1.9.9.5-1.fc17

Comment 9 Fedora Update System 2012-12-28 22:17:15 UTC
Package jack-audio-connection-kit-1.9.9.5-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jack-audio-connection-kit-1.9.9.5-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-21056/jack-audio-connection-kit-1.9.9.5-1.fc18
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-01-14 04:02:45 UTC
jack-audio-connection-kit-1.9.9.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-01-14 04:12:21 UTC
jack-audio-connection-kit-1.9.9.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.